perl-test-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christopher H. Laco" <cl...@chrislaco.com>
Subject cannont find module errors
Date Tue, 11 Oct 2005 00:13:36 GMT
Now that I have Apache::Test 1.26, Apache1/MP 1.29/Apache2/MP 2.0.2
running on my laptop, I've run into a strange problem with need().

Up until now, this test has worked on my win32 install:

http://handelframework.com/source/trunk/t/xsp_cart.t


More specifically, this line:

> Apache::Test::plan(tests => ((scalar @tests * 2) + 3),
>     need('AxKit', 'mod_perl', need_apache(1), need_lwp())
> );


This now fails under my Apache1/MP1 install with:

> t/xsp_cart................................skipped
>         all skipped: cannot find module 'AxKit'


Now, for the strange part. I have AxKit installed:

> claco@np5660:~/CPAN/Handel$ perl -MAxKit -e 'print AxKit->VERSION;'
> 1.62

And I've confirmaed, that when the test suite is running under
APACHE_TEST_HTTPD=/usr/sbin/apache, mod_perl and AxKit is loaded using
my extra.conf.in
(http://handelframework.com/source/trunk/t/conf/extra.conf.in):


> Server Version: Apache/1.3.33 (Debian GNU/Linux) AxKit/1.62 mod_perl/1.29
> Server Built: Sep 6 2005 13:17:01
> API Version: 19990320:16
> Run Mode: standalone
> User/Group: claco(1000)/1000
> Hostname/port: localhost.localdomain:8529

So, the real question is, why isn't need seeing that the
module is indeed available?

I'm still digging on it... any ideas?

-=Chris


Mime
View raw message